=== src/external/rawspeed/bench/CMakeLists.txt ===
add_subdirectory(librawspeed)
