=== debian/changelog ===
photoflow (0.2.8+git20200114-3) unstable; urgency=medium

  * d/rules: OOM patch for 32-bit architectures, thanks Adrian Bunk.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 12 Nov 2020 06:55:02 +0100

photoflow (0.2.8+git20200114-2) unstable; urgency=medium

  * Apply patch to fix FTBFS, thanks Helmut Grohne. (Closes: #968412)
  * d/rules: Build against gtk3. (Closes: #967693)
  * Bump standards version to 4.5.0.
  * Bump debhelper version to 13.
  * d/upstream/metadata: added.
  * d/control:
    - added Rules-Requires-Root.
    - update build-depends to build against gtk3.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 10 Nov 2020 15:37:40 +0100

photoflow (0.2.8+git20200114-1) unstable; urgency=medium

  * Initial release. (Closes: #774005)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 14 Jan 2020 14:13:10 +0100
