=== debian/control ===
Source: photoflow
Section: graphics
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper-compat (= 13), libpugixml-dev, libexiv2-dev (>> 0.25-9), liblensfun-dev, libvips-dev, libgtkmm-3.0-dev, cmake
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/photoflow.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/photoflow
Homepage: https://github.com/aferrero2707/PhotoFlow

Package: photoflow
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: non-destructive photo retouching program
 This is a non-destructive photo retouching program providing a complete
 layer-based workflow including RAW image development.
